org.modeshape.jcr.cache

## Interface MutableCachedNode.NodeChanges

- Enclosing interface:
    MutableCachedNode

      public static interface MutableCachedNode.NodeChanges

  Interface which exposes all the changes that have occurred on a `MutableCachedNode` instance

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Name>` | `addedMixins()` Returns a set with the names of the mixins that have been added.
    `Set<NodeKey>` | `addedParents()` Returns the set of parents that have been added
    `Set<NodeKey>` | `addedStrongReferrers()` Returns a set of node keys with the strong referrers that have been added.
    `Set<NodeKey>` | `addedWeakReferrers()` Returns a set of node keys with the weak referrers that have been added.
    `LinkedHashMap<NodeKey,Name>` | `appendedChildren()` Returns the [childKey, childName] pairs of the children that have been appended (at the end).
    `Set<Name>` | `changedPropertyNames()` Returns a set with the names of the properties that have changed.
    `Map<NodeKey,LinkedHashMap<NodeKey,Name>>` | `childrenInsertedBefore()` Returns the [insertBeforeChildKey, [childKey, childName]] structure of the children that been inserted before another existing child.
    `NodeKey` | `newPrimaryParent()` Returns the node key of the new primary parent, in case it has changed.
    `Set<NodeKey>` | `removedChildren()` Returns the set of children that have been removed
    `Set<Name>` | `removedMixins()` Returns a set with the names of the mixins that have been removed.
    `Set<NodeKey>` | `removedParents()` Returns the set of parents that have been removed
    `Set<Name>` | `removedPropertyNames()` Returns a set with the names of the properties that have been removed.
    `Set<NodeKey>` | `removedStrongReferrers()` Returns a set of node keys with the strong referrers that have been removed.
    `Set<NodeKey>` | `removedWeakReferrers()` Returns a set of node keys with the weak referrers that have been removed.
    `Map<NodeKey,Name>` | `renamedChildren()` Returns the [childKey, childName] pairs of the children that have been renamed, where "childName" represents the new name after the rename.

- - ### Method Detail

    - #### changedPropertyNames

          Set<Name> changedPropertyNames()

      Returns a set with the names of the properties that have changed. This includes new/modified properties.
      Returns:
        a `non-null` Set

    - #### removedPropertyNames

          Set<Name> removedPropertyNames()

      Returns a set with the names of the properties that have been removed.
      Returns:
        a `non-null` Set

    - #### addedMixins

          Set<Name> addedMixins()

      Returns a set with the names of the mixins that have been added.
      Returns:
        a `non-null` Set

    - #### removedMixins

          Set<Name> removedMixins()

      Returns a set with the names of the mixins that have been removed.
      Returns:
        a `non-null` Set

    - #### appendedChildren

          LinkedHashMap<NodeKey,Name> appendedChildren()

      Returns the [childKey, childName] pairs of the children that have been appended (at the end).
      Returns:
        a `non-null` Map

    - #### removedChildren

          Set<NodeKey> removedChildren()

      Returns the set of children that have been removed
      Returns:
        a `non-null` Set

    - #### renamedChildren

          Map<NodeKey,Name> renamedChildren()

      Returns the [childKey, childName] pairs of the children that have been renamed, where "childName" represents the new name after the rename.
      Returns:
        a `non-null` Map

    - #### childrenInsertedBefore

          Map<NodeKey,LinkedHashMap<NodeKey,Name>> childrenInsertedBefore()

      Returns the [insertBeforeChildKey, [childKey, childName]] structure of the children that been inserted before another existing child. This is normally caused due to reorderings
      Returns:
        a `non-null` Map

    - #### addedParents

          Set<NodeKey> addedParents()

      Returns the set of parents that have been added
      Returns:
        a `non-null` Set

    - #### removedParents

          Set<NodeKey> removedParents()

      Returns the set of parents that have been removed
      Returns:
        a `non-null` Set

    - #### newPrimaryParent

          NodeKey newPrimaryParent()

      Returns the node key of the new primary parent, in case it has changed.
      Returns:
        either the `NodeKey` of the new primary parent or `null`

    - #### addedWeakReferrers

          Set<NodeKey> addedWeakReferrers()

      Returns a set of node keys with the weak referrers that have been added.
      Returns:
        a `non-null` Set

    - #### removedWeakReferrers

          Set<NodeKey> removedWeakReferrers()

      Returns a set of node keys with the weak referrers that have been removed.
      Returns:
        a `non-null` Set

    - #### addedStrongReferrers

          Set<NodeKey> addedStrongReferrers()

      Returns a set of node keys with the strong referrers that have been added.
      Returns:
        a `non-null` Set

    - #### removedStrongReferrers

          Set<NodeKey> removedStrongReferrers()

      Returns a set of node keys with the strong referrers that have been removed.
      Returns:
        a `non-null` Set

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.